defer中拿不到返回值?

EddieChan1993 · · 815 次点击 · 开始浏览    置顶
这是一个创建于 的主题,其中的信息可能已经有所发展或是发生改变。
### `err返回值`没有获取到,求解答! ``` package main import "fmt" func main() { fmt.Println(Parse()) } func Parse() error { var err error defer func() { //选择性的recover switch p := recover(); p { case nil: case "what": err = fmt.Errorf("internal error") fmt.Println(err) default: panic(p) } }() panic("what") return err } ``` ### **输出值**: ``` internal error <nil> ```

有疑问加站长微信联系(非本文作者)

入群交流(和以上内容无关):加入Go大咖交流群,或添加微信:liuxiaoyan-s 备注:入群;或加QQ群:701969077

815 次点击  
加入收藏 微博
8 回复  |  直到 2018-07-11 10:55:38
暂无回复
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传